
clc
close all
clear all

syms rho ux uy u vx vy v gx gy

u=[ux;uy];
v=[vx;vy];

fm=rho/(2*pi/3)*exp(-(3*sum((v-u).^2))/2);

Pi_0 = simple(int(int( fm ,vx,-inf,inf),vy,-inf,inf));

Pi_x = simple(int(int( vx*fm ,vx,-inf,inf),vy,-inf,inf));
Pi_y = simple(int(int( vy*fm ,vx,-inf,inf),vy,-inf,inf));

Pi_xx = simple(int(int( vx*vx*fm ,vx,-inf,inf),vy,-inf,inf));
Pi_yy = simple(int(int( vy*vy*fm ,vx,-inf,inf),vy,-inf,inf));
Pi_xy = simple(int(int( vx*vy*fm ,vx,-inf,inf),vy,-inf,inf));

Pi_xyy = simple(int(int( vx*(vy^2)*fm ,vx,-inf,inf),vy,-inf,inf));
Pi_xxy = simple(int(int( (vx^2)*vy*fm ,vx,-inf,inf),vy,-inf,inf));

Pi_xxyy = simple(int(int( (vx^2)*(vy^2)*fm ,vx,-inf,inf),vy,-inf,inf));

Pi = expand([Pi_0;Pi_x;Pi_y;Pi_xx;Pi_yy;Pi_xy;Pi_xyy;Pi_xxy;Pi_xxyy])

Pi_tilde = Pi;

% instead of ux*rho*uy^2+1/3*ux*rho
Pi_tilde(7) = 1/3*ux*rho;

% instead of uy*rho*ux^2+1/3*uy*rho
Pi_tilde(8) = 1/3*uy*rho;

% instead of ux^2*uy^2*rho+1/3*ux^2*rho+1/3*uy^2*rho+1/9*rho
Pi_tilde(9) = 1/9*rho+1/3*rho*(ux^2+uy^2);

Pi_tilde

V=sym([0     0
     1     0
     0     1
    -1     0
     0    -1
     1     1
    -1     1
    -1    -1
     1    -1]);

M = [ones(1,9);... % 0
    V(:,1)';... % x
    V(:,2)';... % y
    (V(:,1).*V(:,1))';... % xx
    (V(:,2).*V(:,2))';... % yy
    (V(:,1).*V(:,2))';... % xy
    V(:,1)'.*(V(:,2).^2)';... % xyy
    (V(:,1).^2)'.*V(:,2)';... % xxy
    (V(:,1).^2)'.*(V(:,2).^2)']; % xxyy

det(M)

Feq = simple(inv(M)*Pi_tilde)

Phi_force = sym(zeros(9,1));
Phi_force(2) = rho*gx;
Phi_force(3) = rho*gy;

G = simple(inv(M)*Phi_force)
